Bug 703367 - Review Request: sxiv - Simple (or small or suckless) X Image Viewer
Summary: Review Request: sxiv - Simple (or small or suckless) X Image Viewer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-10 07:45 UTC by Petr Šabata
Modified: 2011-05-25 03:08 UTC (History)
3 users (show)

Fixed In Version: sxiv-0.8.1-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:32:40 UTC
sochotni: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2011-05-10 07:45:36 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/sxiv/sxiv.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/sxiv/sxiv-0.8.1-1.fc14.src.rpm
Description:
sxiv is an alternative to feh and qiv. Its only dependency besides xlib
is imlib2. The primary goal for writing sxiv is to create an image viewer,
which only has the most basic features required for fast image viewing (the
ones I want). It works nicely with tiling window managers and its code base
should be kept small and clean to make it easy for you to dig into it and
customize it for your needs.

Comment 1 Stanislav Ochotnicky 2011-05-11 15:14:13 UTC
I am going to do the review

Comment 2 Stanislav Ochotnicky 2011-05-11 15:28:17 UTC
OK: rpmlint must be run on every package. The output should be posted in the review.
sxiv.x86_64: W: spelling-error Summary(en_US) suckless -> suckles, luckless, suck less
sxiv.x86_64: W: spelling-error %description -l en_US feh -> eh, fee, fen
sxiv.x86_64: W: spelling-error %description -l en_US qiv -> qi, iv, riv
sxiv.x86_64: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
sxiv-debuginfo.x86_64: E: debuginfo-without-sources
sxiv.src: W: spelling-error Summary(en_US) suckless -> suckles, luckless, suck less
sxiv.src: W: spelling-error %description -l en_US feh -> eh, fee, fen
sxiv.src: W: spelling-error %description -l en_US qiv -> qi, iv, riv
sxiv.src: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
sxiv.src: W: invalid-url Source0: sxiv-0.8.1.tar.bz2
3 packages and 0 specfiles checked; 1 errors, 9 warnings.

Please read https://fedoraproject.org/wiki/Packaging/Debuginfo for
info on fixing your debuginfo

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
NOTOK: The License field in the package spec file must match the actual license.
Actual license is GPLv2+

OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: All independent sub-packages have License of their own (if it exists)
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
?: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

You should use github tarballs, they are not stable as far as checksums are concerned.

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK: Packages must NOT bundle copies of system libraries.
OK: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings.
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content.
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK: Header files must be in a -devel package.
OK: Static libraries must be in a -static package.
OK: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
OK: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
OK: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

Even though this is practically a GUI app, it can't be launched from menu because it needs files on commandline so I will ignore this req.

OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK: All filenames in rpm packages must be valid UTF-8.


Issues:
 * debuginfos incorrect, ignored RPM_OPT_FLAGS
 * incorrect license
 * source from tarball

Comment 3 Petr Šabata 2011-05-11 15:36:01 UTC
(In reply to comment #2)
> OK: rpmlint must be run on every package. The output should be posted in the
> review.
> sxiv.x86_64: W: spelling-error Summary(en_US) suckless -> suckles, luckless,
> suck less
> sxiv.x86_64: W: spelling-error %description -l en_US feh -> eh, fee, fen
> sxiv.x86_64: W: spelling-error %description -l en_US qiv -> qi, iv, riv
> sxiv.x86_64: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
> sxiv-debuginfo.x86_64: E: debuginfo-without-sources
> sxiv.src: W: spelling-error Summary(en_US) suckless -> suckles, luckless, suck
> less
> sxiv.src: W: spelling-error %description -l en_US feh -> eh, fee, fen
> sxiv.src: W: spelling-error %description -l en_US qiv -> qi, iv, riv
> sxiv.src: W: spelling-error %description -l en_US xlib -> lib, glib, x lib
> sxiv.src: W: invalid-url Source0: sxiv-0.8.1.tar.bz2
> 3 packages and 0 specfiles checked; 1 errors, 9 warnings.
> 
> Please read https://fedoraproject.org/wiki/Packaging/Debuginfo for
> info on fixing your debuginfo

Strange. I'll look into that...

> 
> OK: The package must be named according to the Package Naming Guidelines .
> OK: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption.  .
> OK: The package must meet the Packaging Guidelines .
> OK: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines .
> NOTOK: The License field in the package spec file must match the actual
> license.
> Actual license is GPLv2+

Indeed.

> 
> OK: If (and only if) the source package includes the text of the license(s) in
> its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.
> OK: All independent sub-packages have License of their own (if it exists)
> OK: The spec file must be written in American English.
> OK: The spec file for the package MUST be legible.
> ?: The sources used to build the package must match the upstream source, as
> provided in the spec URL. Reviewers should use md5sum for this task. If no
> upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> 
> You should use github tarballs, they are not stable as far as checksums are
> concerned.

Indeed. I'll use https://github.com/downloads/muennich/sxiv/sxiv-0.8.1.tar.gz instead my custom snapshot.

> 
> OK: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture.
> OK: If the package does not successfully compile, build or work on an
> architecture, then those architectures should be listed in the spec in
> ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
> bugzilla, describing the reason that the package does not compile/build/work on
> that architecture. The bug number MUST be placed in a comment, next to the
> corresponding ExcludeArch line.
> OK: All build dependencies must be listed in BuildRequires, except for any that
> are listed in the exceptions section of the Packaging Guidelines ; inclusion of
> those as BuildRequires is optional. Apply common sense.
> OK: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
> OK: Packages must NOT bundle copies of system libraries.
> OK: If the package is designed to be relocatable, the packager must state this
> fact in the request for review, along with the rationalization for relocation
> of that specific package. Without this, use of Prefix: /usr is considered a
> blocker.
> OK: A package must own all directories that it creates. If it does not create a
> directory that it uses, then it should require a package which does create that
> directory.
> OK: A Fedora package must not list a file more than once in the spec file's
> %files listings.
> OK: Permissions on files must be set properly. Executables should be set with
> executable permissions, for example. Every %files section must include a
> %defattr(...) line.
> OK: Each package must consistently use macros.
> OK: The package must contain code, or permissable content.
> OK: Large documentation files must go in a -doc subpackage. (The definition of
> large is left up to the packager's best judgement, but is not restricted to
> size. Large can refer to either size or quantity).
> OK: If a package includes something as %doc, it must not affect the runtime of
> the application. To summarize: If it is in %doc, the program must run properly
> if it is not present.
> OK: Header files must be in a -devel package.
> OK: Static libraries must be in a -static package.
> OK: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
> then library files that end in .so (without suffix) must go in a -devel
> package.
> OK: In the vast majority of cases, devel packages must require the base package
> using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
> OK: Packages must NOT contain any .la libtool archives, these must be removed
> in the spec if they are built.
> OK: Packages containing GUI applications must include a %{name}.desktop file,
> and that file must be properly installed with desktop-file-install in the
> %install section. If you feel that your packaged GUI application does not need
> a .desktop file, you must put a comment in the spec file with your explanation.
> 
> Even though this is practically a GUI app, it can't be launched from menu
> because it needs files on commandline so I will ignore this req.
> 
> OK: Packages must not own files or directories already owned by other packages.
> The rule of thumb here is that the first package to be installed should own the
> files or directories that other packages may rely upon. This means, for
> example, that no package in Fedora should ever share ownership with any of the
> files or directories owned by the filesystem or man package. If you feel that
> you have a good reason to own a file or directory that another package owns,
> then please present that at package review time.
> OK: All filenames in rpm packages must be valid UTF-8.
> 
> 
> Issues:
>  * debuginfos incorrect, ignored RPM_OPT_FLAGS
>  * incorrect license
>  * source from tarball

Thanks.
I'll post an updated version tomorrow.

Comment 4 Stanislav Ochotnicky 2011-05-11 15:39:18 UTC
A small addition. You should also install desktop file with NoDisplay set so that sxiv doesn't appear in the menus, but is able to be added for handling files.

http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-1.0.html

Comment 6 Stanislav Ochotnicky 2011-05-12 06:19:42 UTC
All good now. Approved

Comment 7 Petr Šabata 2011-05-12 06:32:39 UTC
New Package SCM Request
=======================
Package Name: sxiv
Short Description: Simple (or small or suckless) X Image Viewer
Owners: psabata
Branches: f14 f15
InitialCC:

Comment 8 Jason Tibbitts 2011-05-12 16:43:40 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-05-13 05:28:36 UTC
sxiv-0.8.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sxiv-0.8.1-2.fc14

Comment 10 Fedora Update System 2011-05-13 05:29:04 UTC
sxiv-0.8.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sxiv-0.8.1-2.fc15

Comment 11 Petr Šabata 2011-05-13 05:30:03 UTC
Thank you for the review and the repository!

Comment 12 Fedora Update System 2011-05-13 23:12:34 UTC
sxiv-0.8.1-2.fc14 has been pushed to the Fedora 14 testing repository.

Comment 13 Fedora Update System 2011-05-19 04:32:35 UTC
sxiv-0.8.1-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-05-25 03:08:06 UTC
sxiv-0.8.1-2.fc14 has been pushed to the Fedora 14 stable repository.


Note You need to log in before you can comment on or make changes to this bug.